Bug 979648 - Review Request: perl-Tapper - A flexible and open test infrastructure
Review Request: perl-Tapper - A flexible and open test infrastructure
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-29 00:15 EDT by Christopher Meng
Modified: 2013-07-10 22:34 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-Tapper-4.1.1-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-10 22:27:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ppisar: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-06-29 00:15:19 EDT
Spec URL: http://cicku.me/perl-Tapper.spec
SRPM URL: http://cicku.me/perl-Tapper-4.1.1-1.fc20.src.rpm 
Description: Tapper is a modular, flexible and open test infrastructure. Its only primary assumption is the ubiquitous use of the Test Anything Protocol (TAP). 
Internally it is based on technology known from the CPAN testing 
infrastructure, extending it with automation and advanced querying.
Fedora Account System Username: cicku
Comment 1 Petr Pisar 2013-07-02 03:14:56 EDT
URL and Source0 are usable. Ok.
Source tar ball is original (SHA-256: 1b654cb4416242f1433a69603178a9ac9bf3bac0f83f00d7e479c6801607a22d) Ok.
Summary verified from lib/Tapper.pm. Ok.
Description verified from lib/Tapper.pm. Ok.
License verified from README, LICENSE, lib/Tapper.pm.

FIX: Use `BSD' as license tag value. See <https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Good_Licenses> for normative license names.

No XS code, noarch BuildArch is Ok.

TODO: You can replace `%{__perl}' macros with plain `perl' command.
TODO: You can replace PERL_INSTALL_ROOT argument name with DESTDIR in %install section.
TODO: You do not need to remove empty directories in %install section. Modern ExtUtils::MakeMaker does not produces ones.

TODO: Build-require `perl' because you call at at various places in the spec file.

TODO: Build-require `perl(strict)' (Makefile.PL:2).
TODO: Build-requier `perl(warnings)' (Makefile.PL:3).
TODO: Constrain `perl(ExtUtils::MakeMaker)' build-dependency with version `>= 6.30' (Makefile.PL:7).

FIX: Build-require `perl(Test::More)' (t/release-eol.t:4).

All tests pass. Ok.

$ rpmlint perl-Tapper.spec ../SRPMS/perl-Tapper-4.1.1-1.fc20.src.rpm ../RPMS/noarch/perl-Tapper-4.1.1-1.fc20.noarch.rpm 
perl-Tapper.src: W: invalid-license 2-clause BSD
perl-Tapper.noarch: W: invalid-license 2-clause BSD
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

FIX: Correct the license name.

$ rpm -q -lv -p  ../RPMS/noarch/perl-Tapper-4.1.1-1.fc20.noarch.rpm
drwxr-xr-x    2 root    root                        0 Jul  2 09:07 /usr/share/doc/perl-Tapper-4.1.1
-rw-r--r--    1 root    root                     3424 Nov 19  2012 /usr/share/doc/perl-Tapper-4.1.1/Changes
-rw-r--r--    1 root    root                     4524 Nov 19  2012 /usr/share/doc/perl-Tapper-4.1.1/Changes-3.0.md
-rw-r--r--    1 root    root                     2489 Nov 19  2012 /usr/share/doc/perl-Tapper-4.1.1/Changes-4.0.md
-rw-r--r--    1 root    root                      821 Nov 19  2012 /usr/share/doc/perl-Tapper-4.1.1/Changes-4.1.md
-rw-r--r--    1 root    root                     1316 Nov 19  2012 /usr/share/doc/perl-Tapper-4.1.1/LICENSE
-rw-r--r--    1 root    root                     7726 Nov 19  2012 /usr/share/doc/perl-Tapper-4.1.1/META.json
-rw-r--r--    1 root    root                      255 Nov 19  2012 /usr/share/doc/perl-Tapper-4.1.1/README
-rw-r--r--    1 root    root                     2182 Nov 19  2012 /usr/share/doc/perl-Tapper-4.1.1/Starterpage.md
-rw-r--r--    1 root    root                     2958 Jul  2 09:07 /usr/share/man/man3/Tapper.3pm.gz
-rw-r--r--    1 root    root                     2347 Nov 19  2012 /usr/share/perl5/vendor_perl/Tapper.pm
File permissions and layout are Ok.

$ rpm -q --requires -p  ../RPMS/noarch/perl-Tapper-4.1.1-1.fc20.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.16.3)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -q --provides -p  ../RPMS/noarch/perl-Tapper-4.1.1-1.fc20.noarch.rpm | sort | uniq -c
      1 perl(Tapper) = 4.1.1
      1 perl-Tapper = 4.1.1-1.fc20
Binary provides are Ok.

$ resolvedeps rawhide  ../RPMS/noarch/perl-Tapper-4.1.1-1.fc20.noarch.rpm
Binary dependencies resolvable. Ok.

Package does not build in F20 (http://koji.fedoraproject.org/koji/taskinfo?taskID=5564364).
FIX: Build-require `perl(Test::More)'.

Otherwise the package is in line with Fedora and Perl packaging guidelines.

Please correct all `FIX' issues, consider fixing `TODO' items, and provide new spec file.
Resolution: Package NOT approved.
Comment 2 Christopher Meng 2013-07-02 04:15:11 EDT
I will not change %{__perl}.

Others are fixed.

I want to know why we need to add perl(strict) and perl(warnings)?

I think they are in the perl package itself.

NEW SPEC: http://cicku.me/perl-Tapper.spec
SRPM URL: http://cicku.me/perl-Tapper-4.1.1-2.fc20.src.rpm
Comment 3 Petr Pisar 2013-07-02 05:11:25 EDT
> I want to know why we need to add perl(strict) and perl(warnings)?
> I think they are in the perl package itself.

They are in the perl package now, but that does not have to be true in the future. (See the Test::More case.) I agree that it's highly improbable in case of strict or warnings module, however treating all Perl modules the same way makes packaging more uniform.

Spec file changes:

--- perl-Tapper.spec.old        2013-06-29 06:15:26.000000000 +0200
+++ perl-Tapper.spec    2013-07-02 10:17:20.000000000 +0200
@@ -1,11 +1,17 @@
+%global pkgname Tapper
+
 Name:           perl-Tapper
 Version:        4.1.1
-Release:        1%{?dist}
+Release:        2%{?dist}
 Summary:        A flexible and open test infrastructure
-License:        2-clause BSD
+License:        BSD
 Url:            http://search.cpan.org/dist/Tapper/
-Source0:        http://www.cpan.org/authors/id/T/TA/TAPPER/Tapper-%{version}.tar.gz
-BuildRequires:  perl(ExtUtils::MakeMaker)
+Source0:        http://www.cpan.org/authors/id/T/TA/TAPPER/%{pkgname}-%{version}.tar.gz
+BuildRequires:  perl
+BuildRequires:  perl(strict)
+BuildRequires:  perl(warnings)
+BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.30
+BuildRequires:  perl(Test::More)
 Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
 BuildArch:      noarch

@@ -16,27 +22,29 @@
 infrastructure, extending it with automation and advanced querying.

 %prep
-%setup -q -n Tapper-%{version}
+%setup -qn %{pkgname}-%{version}

 %build
 %{__perl} Makefile.PL INSTALLDIRS=vendor
 make %{?_smp_mflags}

-%check
-make test
-
 %install
-make pure_install PERL_INSTALL_ROOT=%{buildroot}
-
+make pure_install DESTDIR=%{buildroot}
 find %{buildroot} -type f -name .packlist -exec rm -f {} \;
-find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
 %{_fixperms} %{buildroot}/*

+%check
+make test
+
 %files
 %doc Changes Changes-3.0.md Changes-4.0.md Changes-4.1.md LICENSE META.json README Starterpage.md
 %{perl_vendorlib}/*
 %{_mandir}/man3/*

 %changelog
+* Tue Jul 02 2013 Christopher Meng <rpm@cicku.me> - 4.1.1-2
+- Fix incorrect license.
+- Cleanup.
+
 * Fri Nov 30 2012 Christopher Meng <rpm@cicku.me> - 4.1.1-1
 - Initial Package.


> FIX: Use `BSD' as license tag value.
> See <https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Good_Licenses>
> for normative license names.
-License:        2-clause BSD
+License:        BSD
Ok.


> TODO: You can replace `%{__perl}' macros with plain `perl' command.
Not addressed.

> TODO: You can replace PERL_INSTALL_ROOT argument name with DESTDIR in
> %install section.
-make pure_install PERL_INSTALL_ROOT=%{buildroot}
-
+make pure_install DESTDIR=%{buildroot}
Ok.

> TODO: You do not need to remove empty directories in %install section. Modern
> ExtUtils::MakeMaker does not produces ones.
-find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
Ok.

> TODO: Build-require `perl' because you call at at various places in the spec file.
+BuildRequires:  perl
Ok.

> TODO: Build-require `perl(strict)' (Makefile.PL:2).
+BuildRequires:  perl(strict)
Ok.

> TODO: Build-requier `perl(warnings)' (Makefile.PL:3).
+BuildRequires:  perl(warnings)
Ok.

> TODO: Constrain `perl(ExtUtils::MakeMaker)' build-dependency with version
> `>= 6.30' (Makefile.PL:7).
+BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.30
Ok.

> FIX: Build-require `perl(Test::More)' (t/release-eol.t:4).
+BuildRequires:  perl(Test::More)
Ok.

All tests pass. Ok.
$ rpmlint perl-Tapper.spec ../SRPMS/perl-Tapper-4.1.1-2.fc20.src.rpm ../RPMS/noarch/perl-Tapper-4.1.1-2.fc20.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint is Ok.

Package builds in F20 (http://koji.fedoraproject.org/koji/taskinfo?taskID=5564508). Ok

Package is in line with Fedora and Perl packaging guidelines.

Resolution: Package APPROVED.
Comment 4 Christopher Meng 2013-07-02 05:22:50 EDT
New Package SCM Request
=======================
Package Name: perl-Tapper
Short Description: A flexible and open test infrastructure
Owners: cicku
Branches: f18 f19
InitialCC:
Comment 5 Gwyn Ciesla 2013-07-02 06:57:20 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-07-02 10:41:19 EDT
perl-Tapper-4.1.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-Tapper-4.1.1-2.fc18
Comment 7 Fedora Update System 2013-07-02 10:45:34 EDT
perl-Tapper-4.1.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-Tapper-4.1.1-2.fc19
Comment 8 Fedora Update System 2013-07-02 21:36:08 EDT
perl-Tapper-4.1.1-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 9 Fedora Update System 2013-07-10 22:27:38 EDT
perl-Tapper-4.1.1-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 10 Fedora Update System 2013-07-10 22:34:05 EDT
perl-Tapper-4.1.1-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.